Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.advisor
Interface AdviceRequestConstants

All Known Implementing Classes:
  AbstractAdvislet, AbstractAdviceTransform, CatalogQueryTag

public interface AdviceRequestConstants

This interface defines the keys for the standard BEA entries in the AdviceRequest interface.

Field Summary
`static java.lang.String` | `CATALOG_QUERY_WRAPPER` the CATALOG_QUERY_WRAPPER key - value = "com.bea.catalog.query.wrapper"
`static java.lang.String` | `CONTENT_APPEND_QUERY_STRING` the CONTENT_APPEND_QUERY_STRING key - value = "com.bea.content.append.query.string"
`static java.lang.String` | `CONTENT_MANAGER` the CONTENT_MANAGER key - value = "com.bea.content.manager"
`static java.lang.String` | `CONTENT_MANAGER_HOME` the CONTENT_MANAGER_HOME key - value = "com.bea.content.manager.home"
`static java.lang.String` | `CONTENT_QUERY_CONTEXT_PARAMS` the CONTENT_QUERY_CONTEXT_PARAMS key - value = "com.bea.content.query.context.params"
`static java.lang.String` | `CONTENT_QUERY_MAX_ITEMS` the CONTENT_QUERY_MAX_ITEMS key - value = "com.bea.content.query.max.items"
`static java.lang.String` | `CONTENT_QUERY_NODE` the CONTENT_QUERY_NODE key - value = "com.bea.content.query.node"
`static java.lang.String` | `CONTENT_QUERY_SORT_BY` the CONTENT_QUERY_SORT_BY key - value = "com.bea.content.query.sort.by"
`static java.lang.String` | `CONTENT_QUERY_STRING` the CONTENT_QUERY_STRING key - value = "com.bea.content.query.string"
`static java.lang.String` | `DATE` The DATE key - value = "com.bea.date"
`static java.lang.String` | `HTTP_REQUEST` the HTTP_REQUEST key - value = "com.bea.http_request"
`static java.lang.String` | `HTTP_SESSION` the HTTP_SESSION key - value = "com.bea.http_session"
`static java.lang.String` | `NOW` Deprecated. replaced by `TIME_INSTANT`
`static java.lang.String` | `RULES_FILTER_CLASS` the RULES_FILTER_CLASS key - value = "com.bea.rules.filter.class"
`static java.lang.String` | `RULES_FILTER_CLASS_NAME` the RULES_FILTER_CLASS_NAME key - value = "com.bea.rules.filter.class.name"
`static java.lang.String` | `RULES_INPUT_OBJECTS` the RULES_INPUT_OBJECTS key - value = "com.bea.rules.input.objects"
`static java.lang.String` | `RULES_RULENAME_TO_FIRE` the RULES_RULENAME_TO_FIRE key - value = "com.bea.rules.rulename.to.fire"
`static java.lang.String` | `RULES_RULESET_NAME` the RULES_RULESET_NAME key - value = "com.bea.rules.ruleset.name"
`static java.lang.String` | `SHOPPING_CART` the SHOPPING_CART key - value = "com.bea.shopping.cart"
`static java.lang.String` | `TIME` The TIME key - value = "com.bea.time"
`static java.lang.String` | `TIME_INSTANT` the TIME_INSTANT key - value = "com.bea.time_instant"
`static java.lang.String` | `USER` the USER key - value = "com.bea.user"

Field Detail

### USER

    public static final java.lang.String USER

  the USER key - value = "com.bea.user"

### HTTP_REQUEST

    public static final java.lang.String HTTP_REQUEST

  the HTTP_REQUEST key - value = "com.bea.http_request"

### HTTP_SESSION

    public static final java.lang.String HTTP_SESSION

  the HTTP_SESSION key - value = "com.bea.http_session"

### TIME_INSTANT

    public static final java.lang.String TIME_INSTANT

  the TIME_INSTANT key - value = "com.bea.time_instant"

### NOW

    public static final java.lang.String NOW

  Deprecated. replaced by `TIME_INSTANT`
  the NOW key - value = "com.bea.time_instant"

### DATE

    public static final java.lang.String DATE

  The DATE key - value = "com.bea.date"

### TIME

    public static final java.lang.String TIME

  The TIME key - value = "com.bea.time"

### CONTENT_QUERY_STRING

    public static final java.lang.String CONTENT_QUERY_STRING

  the CONTENT_QUERY_STRING key - value = "com.bea.content.query.string"

### CONTENT_APPEND_QUERY_STRING

    public static final java.lang.String CONTENT_APPEND_QUERY_STRING

  the CONTENT_APPEND_QUERY_STRING key - value = "com.bea.content.append.query.string"

### CONTENT_QUERY_NODE

    public static final java.lang.String CONTENT_QUERY_NODE

  the CONTENT_QUERY_NODE key - value = "com.bea.content.query.node"

### CONTENT_QUERY_MAX_ITEMS

    public static final java.lang.String CONTENT_QUERY_MAX_ITEMS

  the CONTENT_QUERY_MAX_ITEMS key - value = "com.bea.content.query.max.items"

### CONTENT_QUERY_SORT_BY

    public static final java.lang.String CONTENT_QUERY_SORT_BY

  the CONTENT_QUERY_SORT_BY key - value = "com.bea.content.query.sort.by"

### CONTENT_QUERY_CONTEXT_PARAMS

    public static final java.lang.String CONTENT_QUERY_CONTEXT_PARAMS

  the CONTENT_QUERY_CONTEXT_PARAMS key - value = "com.bea.content.query.context.params"

### CONTENT_MANAGER_HOME

    public static final java.lang.String CONTENT_MANAGER_HOME

  the CONTENT_MANAGER_HOME key - value = "com.bea.content.manager.home"

### CONTENT_MANAGER

    public static final java.lang.String CONTENT_MANAGER

  the CONTENT_MANAGER key - value = "com.bea.content.manager"

### RULES_RULESET_NAME

    public static final java.lang.String RULES_RULESET_NAME

  the RULES_RULESET_NAME key - value = "com.bea.rules.ruleset.name"

### RULES_RULENAME_TO_FIRE

    public static final java.lang.String RULES_RULENAME_TO_FIRE

  the RULES_RULENAME_TO_FIRE key - value = "com.bea.rules.rulename.to.fire"

### RULES_FILTER_CLASS

    public static final java.lang.String RULES_FILTER_CLASS

  the RULES_FILTER_CLASS key - value = "com.bea.rules.filter.class"

### RULES_FILTER_CLASS_NAME

    public static final java.lang.String RULES_FILTER_CLASS_NAME

  the RULES_FILTER_CLASS_NAME key - value = "com.bea.rules.filter.class.name"

### RULES_INPUT_OBJECTS

    public static final java.lang.String RULES_INPUT_OBJECTS

  the RULES_INPUT_OBJECTS key - value = "com.bea.rules.input.objects"

### CATALOG_QUERY_WRAPPER

    public static final java.lang.String CATALOG_QUERY_WRAPPER

  the CATALOG_QUERY_WRAPPER key - value = "com.bea.catalog.query.wrapper"

### SHOPPING_CART

    public static final java.lang.String SHOPPING_CART

  the SHOPPING_CART key - value = "com.bea.shopping.cart"

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved